List repository images
GET
https://api.vercel.com/v1/vcr/repository/{idOrName}/imagesList images for a container registry repository, including their tags.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.vcr.listRepositoryImages({ projectId: "<id>", idOrName: "<value>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "images": [ { "arch": "amd64", "createdAt": "2026-06-30T10:00:00.000Z", "id": "img_a1b2c3d4e5f6", "kind": "attestation", "manifestDigest": "sha256:2c4e8f3a1b9d0e5c7a6f4b2d8e1c9a0b3d5f7e9c1a2b4d6f8e0c2a4b6d8f0e2c", "platform": "linux", "pushedBy": "string", "repositoryId": "repo_a1b2c3d4e5f6", "sizeInBytes": "123", "status": "errored", "tags": [] } ], "nextCursor": "string"}AuthorizationbearerToken
Default authentication mechanism
Project ID or name (slug) within the authenticated team. IDs take precedence over names. Missing or empty values return HTTP 400.